<!-- Add Sub Utility Button -->
<div class="mb-2">
  <button class="btn btn-primary" (click)="openModel(addVisitTypeModal)">
    Add
  </button>
</div>

<!-- Start of Table -->
<div class="card shadow mb-4">
  <div class="card-header py-3">
    <h6 class="m-0 font-weight-bold text-primary">Utilites Table</h6>
  </div>
  <div class="card-body">
    <simpliflysaas-data-table
      [loading]="visitLoading"
      [closeEditMode]="showSaveOption"
      [dataSource]="visit"
      [itemPerPage]="dataPerPage"
      [tableColumns]="visitColumns"
      [showActionField]="true"
      (delete)="openConfirmDialog($event)"
      (update)="updateVisit($event)"
      [isActionInProgress]="processingAction"
    >
    </simpliflysaas-data-table>
  </div>
</div>
<!-- End of Table -->

<!-- Add Utility Modal -->
<ng-template #addVisitTypeModal>
  <div class="modal-header">
    <h4 class="modal-title pull-left">Add {{ selectedUtility | titlecase }}</h4>
    <button
      type="button"
      class="close pull-right"
      aria-label="Close"
      (click)="closeModal()"
    >
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form [formGroup]="visitForm">
      <label>Visit Type</label>
      <input class="form-control" formControlName="visit_type" />
      <div
        class="error-msg"
        *ngIf="visitFormControl.errors?.required && submitted"
      >
        Visit type is required.
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" type="button" (click)="closeModal()">
      Cancel
    </button>
    <button
      class="btn btn-primary"
      class="btn btn-primary"
      (click)="addVisit()"
    >
      Add
    </button>
  </div>
</ng-template>
